<template>
  <div style="padding:5px">
    <div v-show="is3d === true">
      <sdk-container style="width: 100%; height: 500px" />
    </div>
    <div v-show="is3d === false">
      <iframe style="width: 100%; " frameborder="no" border="0" marginwidth="0" marginheight="0" scrolling="no"
        allowtransparency="yes" :src="serviceUrl" />
    </div>
  </div>
</template>

<script>
import sdkContainer from "../../components/sgword/mapView.vue";
export default {
  components: {
    sdkContainer
  },
  data() {
    return {
      is3d: false,
      serviceRoot: "http://103.85.165.99:9001/gisserver/",
      serviceUrl: "",
    }
  },
  methods: {
    showData(rowdata) {
      let that = this;
      let stype = rowdata.type;
      let spath = "";
      switch (stype) {
        case "WFS": this.is3d = false;
          spath = "wfsserver/" + rowdata.name + "?VERSION=1.0.0&SERVICE=WFS&REQUEST=DescribeFeatureType";
          window.open(this.serviceRoot + spath)
          break;
        case "WMS": this.is3d = true;
          //spath = "service/wms1.3.jsp?name=" + rowdata.name;
          spath = "wmsserver/" + rowdata.name;
          this.$nextTick(() => {
            let jlid = sgworld.ProjectTree.findItem("图层");
            if (jlid) {
              sgworld.ProjectTree.deleteItem(jlid);
            }
            jlid = sgworld.ProjectTree.createGroup("图层", "0");
            sgworld.Creator.createImageryProvider('gisserver', "wms", {
              url: this.serviceRoot + spath,
              layers: '',
              parameters: {
                format: "image/png",
                transparent: true,
              }
            }, jlid, undefined, true, "");

          })
          break;
        case "TMS": this.is3d = true;
          // spath = "service/tms1.3.jsp?name=" + rowdata.name;
          spath = "tmsserver/" + rowdata.name;
          this.$nextTick(() => {
            let jlid = sgworld.ProjectTree.findItem("图层");
            if (jlid) {
              sgworld.ProjectTree.deleteItem(jlid);
            }
            jlid = sgworld.ProjectTree.createGroup("图层", "0");
            sgworld.Creator.createUrlTemplateImageryProvider('tms服务', {
              url: Cesium.buildModuleUrl(this.serviceRoot + spath + "/{z}/{x}/{reverseY}.jpeg"),
            }, jlid, undefined, true, "");
          })

          break;
        case "WCS": this.is3d = false;
          spath = "service/wcs.jsp?name=" + rowdata.name;
          window.open(this.serviceRoot + spath);
          // chrome://flags/#block-insecure-private-network-requests
          break;
        case "C3D": this.is3d = true;
          // spath = "service/c3d.jsp?name=" + rowdata.name; 
          spath = "c3dserver/" + rowdata.name + "/tileset.json";
          this.$nextTick(() => {
            let jlid = sgworld.ProjectTree.findItem("图层");
            if (jlid) {
              sgworld.ProjectTree.deleteItem(jlid);
            }
            jlid = sgworld.ProjectTree.createGroup("图层", "0");
            sgworld.Creator.create3DTilesets("", this.serviceRoot + spath, {}, {}, jlid, true, (data) => {
              sgworld.Navigate.flyToObj(data);
            });
          })
          break;
        case "CTS": this.is3d = true;
          // spath = "service/cts.jsp?name=" + rowdata.name; 
          spath = "ctsserver/" + rowdata.name; this.$nextTick(() => {
            let jlid = sgworld.ProjectTree.findItem("图层");
            if (jlid) {
              sgworld.ProjectTree.deleteItem(jlid);
            }
            jlid = sgworld.ProjectTree.createGroup("图层", "0");
            var option = {
              requestVertexNormals: true,
              url: this.serviceRoot + spath
            };
            sgworld.Creator.createTerrain("gisserver地形", option, jlid, true, "");
          })
          break;
        default: break;
      }
      // if (spath)
      //   this.serviceUrl = this.serviceRoot + spath;
    }
  }
}
</script>

<style>
</style>